## 10.0.1.11 (2023-10-27)

Remove many redundant inheritances from `Generic[]` (#10933)

## 10.0.1.10 (2023-08-13)

Fill in all missing `upstream_repository` fields (#10571)

Co-authored-by: Alex Waygood <Alex.Waygood@Gmail.com>

## 10.0.1.9 (2023-03-27)

Add defaults for third-party stubs E-H (#9954)

## 10.0.1.8 (2023-02-26)

Improve many `__(a)exit__` annotations (#9696)

## 10.0.1.7 (2023-02-21)

Integrate requirements-stubtest.txt into METADATA.toml (#9778)

## 10.0.1.6 (2023-02-21)

Stubtest settings: change `ignore_missing_stub` default to `false` (#9779)

If you're reading about this commit from an autogenerated changelog entry, this should have no user-visible impact on how the stubs are interpreted by a type checker; it's just an internal change to how typeshed's tests work.

## 10.0.1.5 (2023-01-18)

Improve pre-commit config (#9563)

- Add a few more hooks. These are all very fast, and I've found them useful in other projects:
  - Autofixes:
    - `trailing-whitespace`: fixes trailing whitespace
    - `requirements-txt-fixer`: alphabetises items in `requirements.txt` files
    - `end-of-file-fixer`: makes sure every file ends with a single newline character
    - `mixed-line-ending`: Makes sure Windows users don't accidentally introduce CRLF line endings into a file that uses LF line endings
  - None-autofixes:
    - `check-yaml`: loads YAML files to validate syntax
    - `check-toml`: loads TOML files to validate syntax
    - `check-merge-conflict`: detects merge-conflict strings in files and blocks them from accidentally being committed
    - `check-case-conflict`: checks for files with names that would conflict on a case-insensitive filesystem like MacOS HFS+ or Windows FAT; blocks them from being committed.
  - Change the bot schedule to quarterly, to reduce noisy PRs
  - Change the `black` language target-version to Python 3.10, synching the setting here with the changes that were made to our `pyproject.toml` file in #7538

## 10.0.1.4 (2023-01-18)

Replace `Any` with `Incomplete` in many places (#9558)

## 10.0.1.3 (2022-12-01)

Mark `humanfriendly` as complete (#9309)

## 10.0.1.2 (2022-11-23)

Mark first argument of `__[get|set|del]attr__` as `str` (#9245)

## 10.0.1.1 (2022-11-09)

Annotate known magic-method return types (#9131)

## 10.0.1 (2022-07-12)

Import `Match` and `Pattern` from `re`, not `typing` (#8277)

## 10.0.0 (2022-06-21)

[stubsabot] Bump humanfriendly to 10.0.* (#8118)

Co-authored-by: hauntsaninja <>

## 9.2.8 (2022-04-29)

Delete python 2 branches from third-party stubs (#7741)

Since #7703, we no longer have third-party stubs that support Python 2, so code like `if sys.version_info >= (3, 0)` can be simplified.

## 9.2.7 (2022-04-27)

Add various missing generic arguments (#7702)

Co-authored-by: Akuli <akuviljanen17@gmail.com>

## 9.2.6 (2022-04-01)

Third-party stubs: Improve several `__exit__` methods (#7575)

## 9.2.5 (2022-04-01)

flake8 config: remove line that exists only for Python-2 checking (#7570)

## 9.2.3 (2021-11-26)

Add mypy error codes to '# type: ignore' comments (#6379)

## 9.2.2 (2021-10-28)

Annotate humanfriendly.__init__.pyi (#6209)

## 9.2.1 (2021-10-12)

Add star to all non-0.1 versions (#6146)

